Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225694 - Merge Review: dictd
Summary: Merge Review: dictd
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:27 UTC by Nobody's working on this, feel free to take it
Modified: 2009-08-03 09:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-03 09:51:28 UTC
lucilanga: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:27:07 UTC
Fedora Merge Review: dictd

http://cvs.fedora.redhat.com/viewcvs/devel/dictd/
Initial Owner: karsten@redhat.com

Comment 1 Karsten Hopp 2007-02-21 09:56:47 UTC
dictd-1.9.15-9 has the most common review issues fixed

Comment 2 Lucian Langa 2009-01-10 20:30:14 UTC
please use default %defattr:
%defattr(-,root,root,-)

You should use %postun scriptlet; without it, the daemon will not
restart itself after a package update.

Comment 3 Karsten Hopp 2009-01-22 15:38:02 UTC
fixed in dictd-1.11.0-2

Comment 4 Lucian Langa 2009-01-23 18:52:23 UTC
Thank you for the update.

I note you are not using %{?dist} tag, however this is not a blocker.

There is a test suite provided in the package, but it won't run correctly as
dictd drops privileges to user nobody and won't be able to create/append log
file _dictd.log in test/ directory. I'm not sure that's fixable.

Please consider using install -p for install to preserve timestamps of installed
files.

Review:
OK  source files match upstream:
        1b316bf797ff239eb87110c18cd7d5d9  dictd-1.11.0.tar.gz
        d1883d09f65179a3b6aa16579cb5a7e9  libmaa-1.1.0.tar.gz
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is not present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
        config(dictd) = 1.11.0-2
        dictd = 1.11.0-2
        dictd(x86-64) = 1.11.0-2
        =
        /bin/sh
        chkconfig
        config(dictd) = 1.11.0-2
        initscripts
        libc.so.6()(64bit)
        libdbi.so.0()(64bit)
        libz.so.1()(64bit)
N/A %check is not present. Provided test suite won't correctly run
N/A no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  scriptlets present look OK
OK  initscript looks OK.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.

APPROVED.

Comment 5 Karsten Hopp 2009-01-28 13:43:13 UTC
Thanks a lot for the review !
I've added the disttag as that one makes it much easier to reuse the spec file for different releases and I just forgot to add it.

Comment 6 Peter Lemenkov 2009-08-03 09:51:28 UTC
I think that we may close this ticket.


Note You need to log in before you can comment on or make changes to this bug.